# Uses of Interface
javax.swing.SpinnerModel

Packages that use SpinnerModel
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of SpinnerModel in javax.swing

Classes in javax.swing that implement SpinnerModel
Modifier and Type
Class
Description
`class`
`AbstractSpinnerModel`
This class provides the ChangeListener part of the SpinnerModel interface that should be suitable for most concrete SpinnerModel implementations.
`class`
`SpinnerDateModel`
A `SpinnerModel` for sequences of `Date`s.
`class`
`SpinnerListModel`
A simple implementation of `SpinnerModel` whose values are defined by an array or a `List`.
`class`
`SpinnerNumberModel`
A `SpinnerModel` for sequences of numbers.
Methods in javax.swing that return SpinnerModel
Modifier and Type
Method
Description
`SpinnerModel`
JSpinner.`getModel()`
Returns the `SpinnerModel` that defines this spinners sequence of values.
Methods in javax.swing with parameters of type SpinnerModel
Modifier and Type
Method
Description
`protected JComponent`
JSpinner.`createEditor(SpinnerModel model)`
This method is called by the constructors to create the `JComponent` that displays the current value of the sequence.
`void`
JSpinner.`setModel(SpinnerModel model)`
Changes the model that represents the value of this spinner.
Constructors in javax.swing with parameters of type SpinnerModel
Modifier
Constructor
Description
``
`JSpinner(SpinnerModel model)`
Constructs a spinner for the given model.